Package org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util

# Enum TelemetryMetricDefinition.MetricType

java.lang.Object
java.lang.Enum<TelemetryMetricDefinition.MetricType>
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util.TelemetryMetricDefinition.MetricType

All Implemented Interfaces:
  `Serializable`, `Comparable<TelemetryMetricDefinition.MetricType>`

Enclosing class:
  TelemetryMetricDefinition

public static enum TelemetryMetricDefinition.MetricType extends Enum<TelemetryMetricDefinition.MetricType>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COUNTER`
`GAUGE`
`HISTOGRAM`
`UPDOWNCOUNTER`

## Method Summary

Modifier and Type
Method
Description
`static TelemetryMetricDefinition.MetricType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TelemetryMetricDefinition.MetricType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COUNTER

public static final TelemetryMetricDefinition.MetricType COUNTER

### UPDOWNCOUNTER

public static final TelemetryMetricDefinition.MetricType UPDOWNCOUNTER

### GAUGE

public static final TelemetryMetricDefinition.MetricType GAUGE

### HISTOGRAM

public static final TelemetryMetricDefinition.MetricType HISTOGRAM

## Method Details

### values

public static TelemetryMetricDefinition.MetricType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TelemetryMetricDefinition.MetricType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null